#!/bin/sh
lzma -cd driver.tar.lzma | tar xvf - -C /tmp_run
cd /tmp_run/driver &&  ./load3516a -i
#insmod /tmp_run/driver/hi_spi.ko
rm -rf /tmp_run/driver/*.ko
#tar -C /tmp_run/ -zxf /mnt/mtd/nfsdir/bin/app.tar
cd /mnt/mtd/nfsdir/bin/
tar zxf WebPage.tar.gz -C /tmp_run/
lzma -cd app.tar.lzma | tar xvf - -C /tmp_run
if [ -f /mnt/mtd/nfsdir/bin/ipcamera ];
then
    cp /mnt/mtd/nfsdir/bin/ipcamera /tmp_run/
fi
if  [ -f /mnt/mtd/nfsdir/bin/config/FacConf -a ! -f /mnt/mtd/nfsdir/FacConf ];
#if  [ -f /mnt/mtd/nfsdir/bin/config/FacConf ];
then
    cp /mnt/mtd/nfsdir/bin/config/FacConf /mnt/mtd/nfsdir/
fi
if [ ! -d /mnt/mtd/flash/defCfgDir ];
then
    mkdir /mnt/mtd/flash/defCfgDir
fi
if [ -d /mnt/mtd/nfsdir/bin/config/ ];
then
    #if [ -f /mnt/mtd/nfsdir/bin/config/xml/alarmCfg.xml -a ! -f /mnt/mtd/flash/defCfgDir/alarmCfg.xml ];
    if [ -f /mnt/mtd/nfsdir/bin/config/alarmCfg.xml ];
    then
        cp /mnt/mtd/nfsdir/bin/config/alarmCfg.xml /mnt/mtd/flash/defCfgDir
    fi
    #if [ -f /mnt/mtd/nfsdir/bin/config/xml/netCfg.xml -a ! -f /mnt/mtd/flash/defCfgDir/netCfg.xml ];
    if [ -f /mnt/mtd/nfsdir/bin/config/netCfg.xml ];
    then
        cp /mnt/mtd/nfsdir/bin/config/netCfg.xml /mnt/mtd/flash/defCfgDir
    fi
    #if [ -f /mnt/mtd/nfsdir/bin/config/xml/avCfg.xml -a ! -f /mnt/mtd/flash/defCfgDir/avCfg.xml ];
    if [ -f /mnt/mtd/nfsdir/bin/config/avCfg.xml ];
    then
        cp /mnt/mtd/nfsdir/bin/config/avCfg.xml /mnt/mtd/flash/defCfgDir
    fi
    #if [ -f /mnt/mtd/nfsdir/bin/config/xml/baseCfg.xml -a ! -f /mnt/mtd/flash/defCfgDir/baseCfg.xml ];
    if [ -f /mnt/mtd/nfsdir/bin/config/baseCfg.xml ];
    then
        cp /mnt/mtd/nfsdir/bin/config/baseCfg.xml /mnt/mtd/flash/defCfgDir
    fi
    #if [ -f /mnt/mtd/nfsdir/bin/config/xml/ptzCfg.xml -a ! -f /mnt/mtd/flash/defCfgDir/ptzCfg.xml ];
    if [ -f /mnt/mtd/nfsdir/bin/config/ptzCfg.xml ];
    then
        cp /mnt/mtd/nfsdir/bin/config/ptzCfg.xml /mnt/mtd/flash/defCfgDir
    fi
fi

if [ -f /mnt/mtd/nfsdir/bin/mtd-init.sh ];
then
if (!(diff /mnt/mtd/init.sh /mnt/mtd/nfsdir/bin/mtd-init.sh -s));
then
                echo /mnt/mtd/init.sh is diffent
                cp /mnt/mtd/nfsdir/bin/mtd-init.sh /mnt/mtd/init.sh -f
fi
fi

if [ -f /mnt/mtd/nfsdir/bin/checkver ];
then
	if [ -f /mnt/mtd/checkver ];
	then
		if (!(diff /mnt/mtd/checkver /mnt/mtd/nfsdir/bin/checkver -s));
		then
			echo /mnt/mtd/checkver is diffent
			cp /mnt/mtd/nfsdir/bin/checkver /mnt/mtd/checkver -f
		fi
	else
		cp /mnt/mtd/nfsdir/bin/checkver /mnt/mtd/checkver -f
	fi
fi

if [ -f /mnt/mtd/nfsdir/bin/td-9632ae2-onvif-tail ];
then
	if [ -f /mnt/mtd/td-9632ae2-onvif-tail ];
	then
		if (!(diff /mnt/mtd/td-9632ae2-onvif-tail /mnt/mtd/nfsdir/bin/td-9632ae2-onvif-tail -s));
		then
			echo /mnt/mtd/td-9632ae2-onvif-tail is diffent
			cp /mnt/mtd/nfsdir/bin/td-9632ae2-onvif-tail /mnt/mtd/td-9632ae2-onvif-tail -f
		fi
	else
		rm -f /mnt/mtd/td-*-onvif-tail
		cp /mnt/mtd/nfsdir/bin/td-9632ae2-onvif-tail /mnt/mtd/td-9632ae2-onvif-tail -f
	fi
fi

mdev -s
echo /sbin/mdev > /proc/sys/kernel/hotplug

export LD_LIBRARY_PATH="/tmp_run/:$LD_LIBRARY_PATH"

rm -f /etc/resolv.conf
if ! [ -d /etc/ppp ];
then
        mkdir /etc/ppp
fi
echo > /etc/ppp/resolv.conf

if ! [ -L /etc/resolv.conf ];
then
        ln -s /etc/ppp/resolv.conf /etc/resolv.conf
fi

if ! [ -d /mnt/mtd/flash ];
then
    mkdir /mnt/mtd/flash
fi

# software reset
if [ -f /mnt/mtd/nfsdir/ResetFlag ]
then
    rm -f /mnt/mtd/nfsdir/ResetFlag
    rm -f /mnt/mtd/flash/*
fi

if [ -f /tmp_run/FacConf ]
then
        cp /tmp_run/FacConf  /mnt/mtd/nfsdir/FacConf
fi

if [ -f /mnt/mtd/nfsdir/login_logo.png ]
then
        cp /mnt/mtd/nfsdir/login_logo.png /tmp_run/WebPage/Css/Pictures/Login/leftPicture.png
fi                                                                            
if [ -f /mnt/mtd/nfsdir/title_logo.png ]  
then                                             
        cp /mnt/mtd/nfsdir/title_logo.png /tmp_run/WebPage/Css/Pictures/logo.png
fi

if [ -f /mnt/mtd/nfsdir/certKey.spc ] && [ -f /mnt/mtd/nfsdir/certKey.pem ]
then
				/tmp_run/osslsigncode remove-signature -in /tmp_run/WebPage/SuperClientEx.exe -out /tmp_run/WebPage/SuperClientEx2.exe
				rm -f /tmp_run/WebPage/SuperClientEx.exe
				/tmp_run/osslsigncode sign -certs /mnt/mtd/nfsdir/certKey.spc -key /mnt/mtd/nfsdir/certKey.pem -in /tmp_run/WebPage/SuperClientEx2.exe -out /tmp_run/WebPage/SuperClientEx.exe
				rm -f /tmp_run/WebPage/SuperClientEx2.exe
fi

#ir_cut0_7
himm 0x200f0008 0x00000000

#led0_3
himm 0x200f00e0 0x00000000

#alarm_out9_6
himm 0x200f0088 0x00000000

#alarm_in9_4
himm 0x200f0080 0x00000000

#default0_3
himm 0x200f0004 0x00000000

#uart1_rx                                          
himm 0x200f007c 0x00000001
                      
#uart1_tx                 
himm 0x200f0084 0x00000001

himm 0x200f0174 0x2

#close pwm
#himm 0x200f014c 0x1
#himm 0x200f0150 0x1 
#himm 0x200f0154 0x1 
#himm 0x200f0158 0x1 

#vd signal
himm 0x200f0004 0x1

#spi1 
himm 0x200f0060 0x1
himm 0x200f0064 0x1
himm 0x200f0068 0x1
himm 0x200f006c 0x0
himm 0x200f0008 0x0
himm 0x200f0078 0x0
himm 0x200f0034 0x0
himm 0x200f001c 0x0
himm 0x200f0018 0x0
#himm 0x200f0004 0x0 //disable vd

#cp /mnt/nfs/lib*.so /tmp_run/
#cp /mnt/nfs/libsdk.so /tmp_run/
#cp /mnt/nfs/hi_spi.ko /tmp_run/

cd /tmp_run/
/tmp_run/ipcamera reset
/tmp_run/ipcamera cmdserver&
/tmp_run/ipcamera &